Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class USU_ReferenciasDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper

    Public Function GetListReferenciasByTipoReferencia(idUsuario As Int32, tipoReferencia As Boolean) As EntityList(Of USU_Referencias)
        Dim QueryObject = Me.CreateQueryObject
        'QueryObject.CreateQuery(0)
        'QueryObject.Where(_None, _Equals).tipoReferencia = tipoReferencia
        'QueryObject.Where(_And, _Equals).idUsuario = idUsuario



        QueryObject.CreateQuery("select * from USU_Referencias")
        QueryObject.CreateQuery("where idUsuario = @idUsuario")
        QueryObject.CreateQuery("and tipoReferencia = @tipoReferencia")

        QueryObject.AddParameter("@idUsuario", SqlDbType.Int, idUsuario)
        QueryObject.AddParameter("@tipoReferencia", SqlDbType.Bit, tipoReferencia)

        Return QueryObject.ExecuteList
    End Function


    Public Function GetListReferenciasLaborales(idUsuario As Int32) As EntityList(Of USU_Referencias)
        Dim QueryObject = Me.CreateQueryObject
        'QueryObject.CreateQuery(0)
        'QueryObject.Where(_None, _Equals).tipoReferencia = tipoReferencia
        'QueryObject.Where(_And, _Equals).idUsuario = idUsuario



        QueryObject.CreateQuery("select * from USU_Referencias")
        QueryObject.CreateQuery("where idUsuario = @idUsuario")
        QueryObject.CreateQuery("and tipoReferencia = 1")

        QueryObject.AddParameter("@idUsuario", SqlDbType.Int, idUsuario)

        Return QueryObject.ExecuteList
    End Function

    Public Function GetListReferenciasPersonales(idUsuario As Int32) As EntityList(Of USU_Referencias)
        Dim QueryObject = Me.CreateQueryObject
        'QueryObject.CreateQuery(0)
        'QueryObject.Where(_None, _Equals).tipoReferencia = tipoReferencia
        'QueryObject.Where(_And, _Equals).idUsuario = idUsuario



        QueryObject.CreateQuery("select * from USU_Referencias")
        QueryObject.CreateQuery("where idUsuario = @idUsuario")
        QueryObject.CreateQuery("and tipoReferencia = 0")

        QueryObject.AddParameter("@idUsuario", SqlDbType.Int, idUsuario)

        Return QueryObject.ExecuteList
    End Function

#End Region
End Class
